Bug 174081 - CVE-2005-3806 ipv6 DOS
CVE-2005-3806 ipv6 DOS
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel (Show other bugs)
4.0
All Linux
medium Severity high
: ---
: ---
Assigned To: Thomas Graf
Brian Brock
reported=20051124,source=vendorsec,pu...
: Security
Depends On:
Blocks: 168430
  Show dependency treegraph
 
Reported: 2005-11-24 06:28 EST by Mark J. Cox (Product Security)
Modified: 2014-06-18 04:28 EDT (History)
3 users (show)

See Also:
Fixed In Version: RHSA-2006-0101
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-01-17 03:35:30 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mark J. Cox (Product Security) 2005-11-24 06:28:46 EST
A typo in IPv6 flowlabel handling code in Linux kernels 2.4 up
        to 2.4.32 and 2.6 before 2.6.14 could be used by a local
        attacker to cause the kernel free non-allocated memory and in
        turn corrupt kernel memory and/or crash the machine.

Fixed upstream by:
http://linux.bkbits.net:8080/linux-2.6/cset@435ebd2095VXAPIHGRQXkibspCvlPw

This issue affects kernels 2.4 as well as 2.6 up to 2.6.14
Comment 5 Red Hat Bugzilla 2006-01-17 03:35:30 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2006-0101.html
Comment 6 John Poelstra 2006-01-17 11:54:39 EST
All in attendance at 12-JAN-06 RHEL meeting approved for MUSTFIX list for RHEL4-U3

Note You need to log in before you can comment on or make changes to this bug.